Skip to content

Patch Project Scene

PATCH
/api/projects/{project_id}/scenes/{scene_id}
curl --request PATCH \
--url https://example.com/api/projects/example/scenes/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'

Update selected fields of a scene.

project_id
required
Project Id
string
scene_id
required
Scene Id
string
Media typeapplication/json
Patch
object
key
additional properties
any
Examplegenerated
{}

Successful Response

Media typeapplication/json
SceneRecord
object
id
Any of:
string
project_id
Any of:
string
scene_number
required
Scene Number
integer
>= 1
title
Any of:
string
setting
Setting
string
default: interior
weather
Weather
string
default: clear
summary
Any of:
string
location
Any of:
string
time_of_day
Any of:
string
characters
Characters
Array<string>
metadata
Metadata
object
key
additional properties
any
Example
{
"setting": "interior",
"weather": "clear"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}